---
version: '3'
services:
  backend:
    image: qnib/plain-influxdb:2.7.5
    environment:
     - INFLUXDB_BUCKET=metrics
    volumes:
     - /data/influxdb
    ports:
     - 2003:2003
     - 4242:4242
     - 8086:8086
  frontend:
    image: grafana/grafana-oss:10.2.3
    ports:
     - 3000:3000
    environment:
     - INFLUXDB_HOST=tasks.backend
     - INFLUXDB_DB=metrics
  telegraf:
    image: qnib/plain-telegraf:1.29.2-1
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:rw
    environment:
      - ENTRYPOINTS_DIR=/opt/entry
      - REMOTE_URL=http://backend:8086
      - DOCKER_SOCKET_URL=unix:///var/run/docker.sock
      - DOCKER_GATHER_SERVICES=true
  networks:
  hostnet:
    external:
      name: host
